# Generated from miq_utilities-0.3.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name miq_utilities

Name: rubygem-%{gem_name}
Version: 0.3.4.1
Release: 1%{?dist}
Summary: Commonly used utilities in ManageIQ/Cloudforms
License: MIT
URL: http://www.rubydoc.info/gems/miq_utilities
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(tiny_tds) >= 2.1
# BuildRequires: rubygem(tiny_tds) < 3
# BuildRequires: rubygem(rbvmomi) >= 1.11
# BuildRequires: rubygem(rbvmomi) < 2
# BuildRequires: rubygem(winrm) >= 2.2
# BuildRequires: rubygem(winrm) < 3
# BuildRequires: rubygem(rest-client) >= 1.8
# BuildRequires: rubygem(rest-client) < 2
# BuildRequires: rubygem(json) >= 2.0
# BuildRequires: rubygem(json) < 3
# BuildRequires: rubygem(slack-notifier) >= 2.3
# BuildRequires: rubygem(slack-notifier) < 3
BuildArch: noarch

%description
This Gem was written to hold utilities commonly used within
ManageIQ/Cloudforms. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/miq_utilities.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.3.4.1-1
- Initial package
